#ifndef __Ax_Vdr_Tools_H__
#define __Ax_Vdr_Tools_H__
//=============================================================================
/*
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2013-03-20 19:53:42 +0100 (Mi, 20 Mär 2013) $
 */
//=============================================================================

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
#include <string>

//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
//----- Vdr -------------------------------------------------------------------
#include <vdr/osdbase.h>

//----- local -----------------------------------------------------------------

//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================
class cDevice;
class cChannel;

//=============================================================================
//     namespaces
//=============================================================================
namespace Ax  {
namespace Vdr {

//=============================================================================
//     class Tools
//=============================================================================
/** The class Tools contains some small helper functions for
 *  Vdr-plugins.
 */
class Tools
{
  public:
    //-------------------------------------------------------------------------
    //     getOSStateStr()
    //-------------------------------------------------------------------------
    static const char *getOSStateStr(eOSState);

    //-------------------------------------------------------------------------
    //     getKeyStr()
    //-------------------------------------------------------------------------
    static std::string getKeyStr(eKeys);

    //-------------------------------------------------------------------------
    //     dumpDevices()
    //-------------------------------------------------------------------------
    static void dumpDevices();

    //-------------------------------------------------------------------------
    //     dumpDevice()
    //-------------------------------------------------------------------------
    static void dumpDevice(const cDevice *theDevice);

    //-------------------------------------------------------------------------
    //     dumpChannels()
    //-------------------------------------------------------------------------
    static void dumpChannels();

    //-------------------------------------------------------------------------
    //     dumpChannel()
    //-------------------------------------------------------------------------
    static void dumpChannel(const cChannel *theChannel);

}; // class Tools

//=============================================================================
//     namespaces
//=============================================================================
} // Vdr
} // Ax

#endif

