#ifndef __Ax_Mail_LogHandlerCBP_H__
#define __Ax_Mail_LogHandlerCBP_H__
//=============================================================================
/*
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: Alex
 * Date:   06.01.2006
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2013-03-20 19:53:42 +0100 (Mi, 20 Mär 2013) $
 */
//=============================================================================

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- ICE -------------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
#include <Ax/Mail/LogHandler.h>

//----- local -----------------------------------------------------------------
#include "CallBackProcessor.h"

//----- vdr -------------------------------------------------------------------
//----- c-client --------------------------------------------------------------
//----- other includes --------------------------------------------------------

//=============================================================================
//     namespaces
//=============================================================================
namespace Ax   {
namespace Mail {

//=============================================================================
//     class LogHandlerCBP
//=============================================================================
class LogHandlerCBP : public CallBackProcessor
{
    //-------------------------------------------------------------------------
    //     typedefs
    //-------------------------------------------------------------------------
    typedef CallBackProcessor PARENT;

  public:
    //-------------------------------------------------------------------------
    //     LogHandlerCBP()
    //-------------------------------------------------------------------------
    LogHandlerCBP( LogHandler        &theLogHandler
                 , MailBox           *theMailBox
                 , const std::string &theName
                 , CallBackProcessor *theParent
                 );

    //-------------------------------------------------------------------------
    //     ~LogHandlerCBP()
    //-------------------------------------------------------------------------
    virtual ~LogHandlerCBP();

    //---------------------------------------------------------------------
    //     log()
    //---------------------------------------------------------------------
    virtual bool log(LogLevel theLevel, const std::string &theMsg);

    //=========================================================================
    //     process c-client callbacks
    //=========================================================================
    virtual bool process_mm_notify    (const std::string &theMsg, long theErrorFlag);
    virtual bool process_mm_log       (const std::string &theMsg, long theErrorFlag);
    virtual bool process_mm_dlog      (const std::string &theMsg);
    virtual bool process_mm_fatal     (const std::string &theMsg);

  private:
    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    LogHandler &myLogHandler;

}; // class LogHandlerCBP

//=============================================================================
//     namespaces
//=============================================================================
} // Mail
} // Ax

#endif

